"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _qs = _interopRequireDefault(require("qs"));
var _WelcomePage = _interopRequireDefault(require("../../../styles/cspace-ui/WelcomePage.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/* global window */

const propTypes = {
  history: _propTypes.default.shape({
    replace: _propTypes.default.func
  }).isRequired,
  location: _propTypes.default.shape({
    search: _propTypes.default.string
  }),
  logout: _propTypes.default.func
};
const defaultProps = {
  logout: null
};
const contextTypes = {
  config: _propTypes.default.shape({
    recordTypes: _propTypes.default.object
  }).isRequired
};
class LogoutPage extends _react.Component {
  componentDidMount() {
    const {
      location
    } = this.props;
    const query = _qs.default.parse(location.search.substring(1));
    if ('success' in query) {
      // Log out from the services layer succeeded. Continue with client log out.

      this.finishLogout();
    } else {
      this.startServicesLogout();
    }
  }
  startServicesLogout() {
    const {
      config
    } = this.context;
    const {
      serverUrl
    } = config;
    const redirectUrl = new URL(window.location.href);
    redirectUrl.search = 'success';
    const redirect = serverUrl ? redirectUrl.href : `/..${redirectUrl.pathname}${redirectUrl.search}`;
    const queryString = _qs.default.stringify({
      redirect
    });
    window.location.replace(`${serverUrl}/cspace-services/logout?${queryString}`);
  }
  finishLogout() {
    const {
      history,
      logout
    } = this.props;
    if (logout) {
      logout();
    }
    history.replace('/welcome');
  }
  render() {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: _WelcomePage.default.common
    });
  }
}
exports.default = LogoutPage;
LogoutPage.propTypes = propTypes;
LogoutPage.defaultProps = defaultProps;
LogoutPage.contextTypes = contextTypes;