"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
var _immutable = _interopRequireDefault(require("immutable"));
var _modalNames = require("../../constants/modalNames");
var _FooterContainer = _interopRequireDefault(require("../../containers/sections/FooterContainer"));
var _Header = _interopRequireDefault(require("../sections/Header"));
var _LoginModalContainer = _interopRequireDefault(require("../../containers/login/LoginModalContainer"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/* global window */

const propTypes = {
  decorated: _propTypes.default.bool,
  history: _propTypes.default.shape({
    push: _propTypes.default.func
  }),
  openModalName: _propTypes.default.string,
  perms: _propTypes.default.instanceOf(_immutable.default.Map),
  screenName: _propTypes.default.string,
  username: _propTypes.default.string.isRequired,
  userPrefsLoaded: _propTypes.default.bool,
  children: _propTypes.default.node,
  closeModal: _propTypes.default.func
};
const defaultProps = {
  decorated: true
};
const contextTypes = {
  config: _propTypes.default.shape({
    pluginInfo: _propTypes.default.object,
    serverUrl: _propTypes.default.string
  }),
  intl: _reactIntl.intlShape
};
class ProtectedPage extends _react.Component {
  constructor() {
    super();
    this.handleLoginSuccess = this.handleLoginSuccess.bind(this);
  }
  handleLoginSuccess() {
    const {
      closeModal
    } = this.props;
    window.setTimeout(() => {
      if (closeModal) {
        closeModal();
      }
    }, 0);
  }
  render() {
    const {
      decorated,
      history,
      openModalName,
      perms,
      screenName,
      username,
      userPrefsLoaded,
      children,
      closeModal
    } = this.props;
    const {
      config,
      intl
    } = this.context;
    let header;
    if (decorated) {
      header = /*#__PURE__*/_react.default.createElement(_Header.default, {
        history: history,
        perms: perms,
        screenName: screenName || username,
        userPrefsLoaded: userPrefsLoaded
      });
    }
    const footer = decorated ? /*#__PURE__*/_react.default.createElement(_FooterContainer.default, {
      config: config,
      intl: intl
    }) : null;
    return /*#__PURE__*/_react.default.createElement("div", null, header, userPrefsLoaded ? children : null, footer, /*#__PURE__*/_react.default.createElement(_LoginModalContainer.default, {
      isOpen: openModalName === _modalNames.MODAL_LOGIN,
      onCloseButtonClick: closeModal,
      onSuccess: this.handleLoginSuccess
    }));
  }
}
exports.default = ProtectedPage;
ProtectedPage.propTypes = propTypes;
ProtectedPage.defaultProps = defaultProps;
ProtectedPage.contextTypes = contextTypes;