"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _immutable = _interopRequireDefault(require("immutable"));
var _reactIntl = require("react-intl");
var _recordDataHelpers = require("../../helpers/recordDataHelpers");
var _SearchPanelContainer = _interopRequireDefault(require("../../containers/search/SearchPanelContainer"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const messages = (0, _reactIntl.defineMessages)({
  title: {
    "id": "relatedMediaPanel.title",
    "defaultMessage": "Related Media"
  }
});
const getSearchDescriptor = (config, relatedCsid, updatedTimestamp) => _immutable.default.fromJS({
  recordType: 'media',
  searchQuery: {
    rel: relatedCsid,
    p: 0,
    size: config.defaultSearchPanelSize || 5
  },
  seqID: updatedTimestamp
});
const propTypes = {
  config: _propTypes.default.shape({
    listTypes: _propTypes.default.object
  }),
  csid: _propTypes.default.string,
  recordData: _propTypes.default.instanceOf(_immutable.default.Map),
  recordType: _propTypes.default.string
};
class RelatedMediaPanel extends _react.Component {
  constructor(props) {
    super(props);
    this.handleSearchDescriptorChange = this.handleSearchDescriptorChange.bind(this);
    const {
      config,
      csid,
      recordData
    } = this.props;
    this.state = {
      searchDescriptor: getSearchDescriptor(config, csid, (0, _recordDataHelpers.getUpdatedTimestamp)(recordData))
    };
  }

  // eslint-disable-next-line camelcase
  UNSAFE_componentWillReceiveProps(nextProps) {
    const {
      csid,
      recordData
    } = this.props;
    const updatedTimestamp = (0, _recordDataHelpers.getUpdatedTimestamp)(recordData);
    const {
      config,
      csid: nextCsid,
      recordData: nextRecordData
    } = nextProps;
    const nextUpdatedTimestamp = (0, _recordDataHelpers.getUpdatedTimestamp)(nextRecordData);
    if (nextCsid !== csid || nextUpdatedTimestamp !== updatedTimestamp) {
      this.setState({
        searchDescriptor: getSearchDescriptor(config, nextCsid, nextUpdatedTimestamp)
      });
    }
  }
  handleSearchDescriptorChange(searchDescriptor) {
    this.setState({
      searchDescriptor
    });
  }
  render() {
    const {
      config,
      csid,
      recordType
    } = this.props;
    const {
      searchDescriptor
    } = this.state;
    if (!searchDescriptor.get('seqID')) {
      // Don't render until after the record has loaded.

      return null;
    }
    return /*#__PURE__*/_react.default.createElement(_SearchPanelContainer.default, {
      collapsed: true,
      columnSetName: "narrow",
      config: config,
      csid: csid,
      name: "relatedMediaPanel",
      searchDescriptor: searchDescriptor,
      recordType: recordType,
      title: /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.title),
      onSearchDescriptorChange: this.handleSearchDescriptorChange
    });
  }
}
exports.default = RelatedMediaPanel;
RelatedMediaPanel.propTypes = propTypes;