"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _classnames = _interopRequireDefault(require("classnames"));
var _Dock = _interopRequireDefault(require("../../../styles/cspace-ui/Dock.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/* global window */

const propTypes = {
  children: _propTypes.default.element,
  dockTop: _propTypes.default.number,
  isSidebarOpen: _propTypes.default.bool
};
const defaultProps = {
  isSidebarOpen: true
};
class Dock extends _react.Component {
  constructor(props) {
    super(props);
    this.setDomNode = this.setDomNode.bind(this);
    this.handleScroll = this.handleScroll.bind(this);
    this.state = {
      docked: false
    };
  }
  componentDidMount() {
    window.addEventListener('scroll', this.handleScroll, false);
  }
  componentWillUnmount() {
    window.removeEventListener('scroll', this.handleScroll, false);
  }
  handleScroll() {
    const node = this.domNode;
    if (!node) return;
    const {
      dockTop
    } = this.props;
    const {
      docked
    } = this.state;
    if (docked) {
      if (window.scrollY + dockTop < node.offsetTop) {
        this.setState({
          docked: false
        });
      }
    } else if (window.scrollY + dockTop >= node.offsetTop) {
      this.setState({
        docked: true
      });
    }
  }
  setDomNode(ref) {
    this.domNode = ref;
  }
  render() {
    const {
      children,
      dockTop,
      isSidebarOpen
    } = this.props;
    const {
      docked
    } = this.state;
    const className = (0, _classnames.default)(isSidebarOpen ? _Dock.default.normal : _Dock.default.full, {
      [_Dock.default.docked]: docked
    });
    const inlineStyle = docked ? {
      height: this.domNode.offsetHeight
    } : {};
    const innerInlineStyle = docked ? {
      top: dockTop || 0
    } : {};
    return /*#__PURE__*/_react.default.createElement("header", {
      className: className,
      style: inlineStyle,
      ref: this.setDomNode
    }, /*#__PURE__*/_react.default.createElement("div", {
      style: innerInlineStyle
    }, children));
  }
}
exports.default = Dock;
Dock.propTypes = propTypes;
Dock.defaultProps = defaultProps;