"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ConnectedRecordPage = void 0;
var _reactRedux = require("react-redux");
var _withConfig = _interopRequireDefault(require("../../enhancers/withConfig"));
var _RecordPage = _interopRequireWildcard(require("../../components/pages/RecordPage"));
var _record = require("../../actions/record");
var _recordPage = require("../../actions/recordPage");
var _reducers = require("../../reducers");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const mapStateToProps = (state, ownProps) => {
  const {
    csid
  } = (0, _RecordPage.getParams)(ownProps);
  return {
    data: (0, _reducers.getRecordData)(state, csid),
    error: (0, _reducers.getRecordError)(state, csid),
    isSidebarOpen: (0, _reducers.isRecordSidebarOpen)(state),
    perms: (0, _reducers.getUserPerms)(state)
  };
};
const mapDispatchToProps = {
  clearRecord: _record.clearRecord,
  readRecord: _record.readRecord,
  setRecordPagePrimaryCsid: _recordPage.setRecordPagePrimaryCsid
};
const ConnectedRecordPage = exports.ConnectedRecordPage = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_RecordPage.default);
var _default = exports.default = (0, _withConfig.default)(ConnectedRecordPage);