"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactRedux = require("react-redux");
var _get = _interopRequireDefault(require("lodash/get"));
var _SearchToSelectModal = _interopRequireWildcard(require("../../components/search/SearchToSelectModal"));
var _optionList = require("../../actions/optionList");
var _prefs = require("../../actions/prefs");
var _searchToSelect = require("../../actions/searchToSelect");
var _search = require("../../actions/search");
var _reducers = require("../../reducers");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const mapStateToProps = (state, ownProps) => {
  const searchToSelectRecordType = (0, _reducers.getSearchToSelectRecordType)(state);
  return {
    keywordValue: (0, _reducers.getSearchToSelectKeyword)(state),
    recordTypeValue: searchToSelectRecordType,
    vocabularyValue: (0, _reducers.getSearchToSelectVocabulary)(state, searchToSelectRecordType),
    advancedSearchCondition: (0, _reducers.getSearchToSelectAdvanced)(state),
    perms: (0, _reducers.getUserPerms)(state),
    preferredAdvancedSearchBooleanOp: (0, _reducers.getAdvancedSearchBooleanOp)(state) || (0, _get.default)(ownProps, ['config', 'defaultAdvancedSearchBooleanOp']),
    preferredPageSize: (0, _reducers.getSearchToSelectPageSize)(state),
    selectedItems: (0, _reducers.getSearchSelectedItems)(state, _SearchToSelectModal.searchName),
    getAuthorityVocabCsid: (recordType, vocabulary) => (0, _reducers.getAuthorityVocabCsid)(state, recordType, vocabulary)
  };
};
const mapDispatchToProps = {
  buildRecordFieldOptionLists: _optionList.buildRecordFieldOptionLists,
  clearSearchResults: _search.clearSearchResults,
  deleteOptionList: _optionList.deleteOptionList,
  search: _search.search,
  onAdvancedSearchConditionCommit: _searchToSelect.setSearchToSelectAdvanced,
  onClearButtonClick: _searchToSelect.clearSearchToSelect,
  onKeywordCommit: _searchToSelect.setSearchToSelectKeyword,
  onRecordTypeCommit: _searchToSelect.setSearchToSelectRecordType,
  onVocabularyCommit: _searchToSelect.setSearchToSelectVocabulary,
  onItemSelectChange: _search.setResultItemSelected,
  setAllItemsSelected: _search.setAllResultItemsSelected,
  setPreferredPageSize: _prefs.setSearchToSelectPageSize
};
var _default = exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_SearchToSelectModal.default);