"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = configContext => data => {
  const {
    getPart,
    deepGet
  } = configContext.recordDataHelpers;
  const {
    getDisplayName
  } = configContext.refNameHelpers;
  if (!data) {
    return '';
  }
  const common = getPart(data, 'consultations_common');
  if (!common) {
    return '';
  }
  const consultationNumber = common.get('consultationNumber');
  const involvedParty = getDisplayName(deepGet(common, ['partiesInvolvedGroupList', 'partiesInvolvedGroup', 0, 'involvedParty']));
  return [consultationNumber, involvedParty].filter(part => !!part).join(' – ');
};
exports.default = _default;